@media (max-width:768px) {
  .lg\:w-1\/2 {
    width: 90% !important;
  }

  .partner {
    width: 155px;
    height: 155px;
  }

  .cont-card {
    width: 250px;
    height: 400px;
  }

  .cal-box {
    width: 100%;
    border-radius: 10px;
    border: 1px solid lightgray;
    /* margin: 10px; */
    padding: 10px;
  }

  .cal-selct-lower-img {
    height: 100%;
    width: 100%;
  }

  .round-numbr span {
    font-weight: 600;
    padding: 12px;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    background-color: #3e4762;
    color: white;

  }

  .pad-rig-h2 {
    /* text-align: center; */
    font-size: 1.3rem;
  }

  .guy-img img {
    width: 70px;
  }

  .all-your h1 {
    font-size: 40px;
    margin-bottom: 30px;
  }

  .all-your button {
    background-color: #3d4761;
    color: WHITE;
    padding: 13px;
    font-size: 18px;
  }

  .hero {
    background-color: #f8f9fb;
    height: 880px;
  }

  .big-txt-box h1 {
    font-size: 40px;
    font-weight: 700;
  }

  .big-txt-box button {
    color: white;
    font-size: 15hipx;
    background-color: #414a65;
    font-weight: 700;
  }

  .text-img-box {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    flex-direction: column-reverse;
  }

  .text-img-box img {
    padding-bottom: 18px;

  }

  .text-img-box ul {
    order: 2;
  }

  .padd-both {
    padding-left: 20px;
    padding-right: 20px;
  }

  .text-ce {
    text-align: center;
  }

  .get-that-link-button {
    width: 100%;
    justify-content: space-between;
  }

  .nine-one {
    width: 15%;
  }

  .link-butn {
    width: 40%;
  }

  .input-get-link {
    width: 140px !important;
  }

  .hero {
    background-color: #f8f9fb;
    height: 275px;
  }

  .hero-1 {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(255,255,255, 0.6) 0%, rgba(255, 255, 255, 0) 86%), url("hero-image/hire\ con..webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    height: 250px;
    padding-top: 2rem;
    margin-bottom: 60px;
  }
  .hero-const {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0,0,0, 0.6) 0%, rgba(255, 255, 255, 0) 86%), url("hero-image/hire\ con..webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    height: 280px;
    padding-top: 2rem;
    margin-bottom: 60px;
    padding-left: 7px;
  }

  .sm-cen{
    justify-content: center !important;
  }

  .hero-2 {
    background-image: url("hero-image/career.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    padding-top: 3rem;
  }

  .hero-5 {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.6) 0%, rgba(255, 255, 255, 0) 116%),url("hero-image/banner.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    height: 250px;
    padding-top: 3rem;
    margin-bottom: 60px;
  }


  .hero-cost {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.8) 0%, rgba(0,0,0, 0) 86%),url("hero-image/cost.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: end;
    height: 250px;
    padding-top: 6rem;
  }

  .hero-desinger {
    background-image: url("hero-image/designer.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: CENTER;
    height: 550px;
  }

  .hero-3 {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.4) 0%, rgba(255, 255, 255, 0) 86%), url("hero-image/about.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 270px;
    padding-top: 2rem;
    /* opacity: 0.9; */
  }

  .hero-monitor {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 126%), url("hero-image/monitor.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    padding-top: 2rem;
  }

  .hero-refral {
    background-image: linear-gradient(-90deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 96%), url("hero-image/refral.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    padding-top: 4rem;
  }

  .hero-privacy {
    background-image: url("hero-image/privacy.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    padding-top: 6rem;
  }

  .hero-tem {
    background-image: url("hero-image/term.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    padding-top: 6rem;
  }


  .hero-4 {
    background-image: linear-gradient(89deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.7) 0%, rgba(255, 255, 255, 0) 118%), url(hero-image/contact.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left;
    height: 250px;
    padding-top: 2rem;
    margin-bottom: 40px;
    /* opacity: 0.9; */
  }


  .hero-6 {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.5) 0%, rgba(0,0,0, 0) 215%), url("hero-image/interior\ banner.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
     height: 250px;
    padding-top: 2rem;
    margin-bottom: 40px;
    /* opacity: 0.9; */
  }

  .hero-7 {
    background-image: linear-gradient(89deg, rgba(0, 0, 0, 1) 0%, rgba(255,255,255, 0.4) 0%, rgba(255, 255, 255, 0) 118%),url("WEB\ SITE\ \ page/renovation/banner.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
   margin-bottom: 40px;
  }

  .hero-8 {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.3) 0%, rgba(255, 255, 255, 0) 85%), url("WEB\ SITE\ \ page/waterproofing/banner.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    margin-bottom: 40px;
  }

  .hero-hire {
    background-image: url("WEB\ SITE\ \ page/all/hire/banner/banner.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    margin-bottom: 40px;
  }

  .why-img {
    width: 80px;
    height: 90px;
  }

  .end-to-end-sm-img {
    height: 26rem !important;
  }

  .nri-sm {
    display: flex;
    align-items: center !important;
    text-align: center;
  }

  .big-btn {
    border-radius: 30px;
    width: 370px;
    padding: 5px;
    color: white;
    background-color: #2d345c;
    margin-top: 20px;
    font-size: 40px;
    z-index: 4;
  }

  .two-img-sec {
    position: relative;
    height: 380px;
    display: flex;
    justify-content: space-evenly;
    background-color: #d4d9ee;
    position: relative;
  }

  .mar-top {
    margin-bottom: 45px;
  }

  /* .hero-1 {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.7) 0%, rgba(255, 255, 255, 0) 115%), url("hero-image/hire\ con..webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 250px;
    margin-bottom: 23px;
    padding-top: 2rem;
  } */

  .niche-wali-city {
    gap: 30px;
    order: 1;
  }

  .niche-wali-city1 {
    gap: 35px;
    order: 2;
    justify-content: center !important;
    margin-bottom: 50px;
  }

  .icons-box div p {
    font-size: 16px;
  }

  .icon-box-heading h1,
  h5 {
    font-size: 41px;
  }

  .all-your h1 {
    font-size: 33px;
    margin-bottom: 30px;
  }

  .big-house-img {
    height: 330px;
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 96%), url(hero-image/hire\ con..webp);
    background-position: bottom;
    background-size: cover;
  }

  .big-house-img-reno {
    height: 400px;
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 96%), url(WEB\ SITE\ \ page/renovation/hire.jpg);
    background-position: bottom;
    background-size: cover;
  }

  .big-house-img-water {
    height: 330px;
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 96%), url(WEB\ SITE\ \ page/waterproofing/hire.webp);
    background-position: bottom;
    background-size: cover;
    margin-top: 50px;
  }

  .nmbr-project img {
    width: 30px;
    height: 30px;
  }
  .nmbr-project-1 img {
    width: 30px;
    height: 30px;
  }

  .p-sm-30 {
    padding-left: 30px;
  }

  .p-sm-20 {
    padding-left: 20px;
  }

  .nmbr-project {
    gap: 0.5rem;
  }
  .nmbr-project-1 {
    gap: 0.5rem;
  }

  .guy-img {
    width: 150px;
    height: 176px;
    /* padding-right: 20px; */
  }

  .pic-text {
    display: flex;
    width: 100%;
    /* justify-content: space-evenly; */
    align-items: start;
  }

  .top-pad {
    padding-top: 2rem;
  }

  .left-pad{
    padding-left: 1rem;
  }

.top-pad-reno{
  padding-top: 6rem;
}

  .text-sm-mob {
    font-size: 14px;
  }

  .rap {
    flex-wrap: wrap;
  }

  .big-txt-box {
    background-color: #f1f2f7;
    text-align: center;
  }

  .big-txt-box h1 {
    font-size: 25px;
    font-weight: 700;
  }

  .big-txt-box button {
    color: white;
    font-size: 17px !important;
    padding: 15px;
    background-color: #414a65;
    font-weight: 700;
  }

  .e-text {
    font-size: 45px;
    padding-bottom: 30px;
  }
  .cal-select{   
  justify-content: center;
  }

  .icons-box-interior {
    display: flex;
    align-items: start;
    justify-content: center;
    flex-wrap: wrap;
    /* flex-direction: column; */
    gap: 65px;
  }
  
  .icons-box-interior p {
    font-size: 13px;
  }
  .mt{
    display: flex;
    align-items: center;
    gap: 5rem;
    justify-content: start;
    padding-left: 50px;
    flex-wrap: wrap;
    /* flex-direction: column; */
  }
  .refer-he{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    height: 507px;
    background:#f1f2f7;
  }
  .pr-img{
    width: 30px !important;
    height: 57px !important; 
    object-fit: contain;
  }

  .nmbr-project-1 span{
    font-size: 13px;
  }
}


@media (min-width: 768px) {
  .niche-wali-city1 {
    justify-content: space-evenly !important;
  }

  .sm-cen{
    justify-content: space-between !important;
  }
  .pr-img{
    width: 37px !important;
    height: 71px !important; 
    /* object-fit: contain; */
  }

  .refer-he{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    height: 336px;
     background:#f1f2f7;
  }

  .mt{
    display: flex;
    align-items: center;
    gap: 5rem;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: column;
  }

  .icons-box-interior {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    /* flex-direction: column; */
    gap: 75px;
  }
  
  .icons-box-interior p {
    font-size: 12px;
  }

  .e-text {
    font-size: 65px;
    padding-bottom: 20px;
  }

  .big-txt-box {
    background-color: #f1f2f7;
    text-align: center;
  }

  .big-txt-box h1 {
    font-size: 60px;
    font-weight: 700;
  }

  .big-txt-box button {
    color: white;
    font-size: 40px !important;
    padding: 15px;
    background-color: #414a65;
    font-weight: 700;
  }

  .zero-pad {
    padding-top: 303px;
  }

  .one-pad{
    padding-top: 280px;
  }

  .pic-text {
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    align-items: center;
  }

  .nmbr-project img {
    width: 40px;
    height: 40px;
    object-fit: contain;
  }
  .nmbr-project-1 img {
    width: 40px;
    height: 40px;
    object-fit: contain;
  }

  .nmbr-project {
    gap: 1.5rem;
  }
  .nmbr-project-1 {
    gap: 1.5rem;
  }

  .big-house-img {
    height: 655px;
    background: url(hero-image/hire\ con..webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }

  .big-house-img-water {
    height: 655px;
    background: url(WEB\ SITE\ \ page/waterproofing/hire.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }

  .big-house-img-reno {
    height: 655px;
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 96%), url(WEB\ SITE\ \ page/renovation/hire.jpg);
    background-position: bottom;
    background-size: cover;
  }

  .all-your h1 {
    font-size: 60px;
    margin-bottom: 30px;
  }

  .icon-box-heading h1,
  h5 {
    font-size: 75px;
  }

  .icons-box div p {
    font-size: 21px;
  }

  .big-about {
    font-size: 60px;
    text-align: center;
    padding-top: 150px;
    padding-bottom: 30px;
  }

  .index-hero-text-gap {
    margin-bottom: 30px;
  }

  .big-btn {
    border-radius: 30px;
    width: 370px;
    padding: 5px;
    color: white;
    background-color: #2d345c;
    margin-top: 20px;
    font-size: 40px;
  }

  .nri-sm {
    display: flex;
    align-items: start !important;
    text-align: left;
  }

  .link-butn {
    width: 33%;
  }

  .get-that-link-button {
    width: 70%;
    justify-content: space-between;
  }

  .why-img {
    width: 80px;
    height: 90px;
  }

  .project {
    gap: 0.5rem;
  }

  .cal-head {
    font-size: 50px;
  }

  .condition-img {
    width: 25.25rem;
    height: 25.25rem;
  }

  .nmbr-project span {
    font-size: 20px;
  }
  .nmbr-project-1 span {
    font-size: 17px;
  }

  .pad-rig-h2 {
    padding-right: 28px;
    font-size: 2.25rem;
  }

  .guy-img {
    width: 405px;
    height: 414px;
    padding-right: 20px;
  }

  .interior-wid {
    width: 700px !important;
  }

  .padd-both {
    padding-left: 200px;
    padding-right: 200px;
  }

  .hero {
    background-color: #f8f9fb;
    height: 600px;
  }

  .hero-1 {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255,255,255, 0.4) 0%, rgba(255, 255, 255, 0) 86%), url(hero-image/hire\ con..webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    height: 650px;
  }
  .hero-const {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0,0,0, 0.4) 0%, rgba(255, 255, 255, 0) 86%), url(hero-image/hire\ con..webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    height: 650px;
  }

  .hero-2 {
    background-image: url("hero-image/career.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 500px;
  }

  .hero-5 {
    background-image: url("hero-image/banner.webp");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right;
    height: 650px;
  }


  .hero-cost {
    background-image: url("hero-image/cost.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: end;
    height: 550px;
  }

  .hero-desinger {
    background-image: url("hero-image/designer.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: CENTER;
    height: 550px;
  }

  .hero-3 {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.4) 0%, rgba(255, 255, 255, 0) 86%), url("hero-image/about.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 650px;
    /* opacity: 0.9; */
    padding-top: 6rem;
  }

  .hero-3 div {
    padding-top: 177px;
  }

  .hero-monitor {
    background-image: url("hero-image/monitor.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 650px;

  }

  .hero-refral {
    background-image: url("hero-image/refral.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 650px;
  }

  .hero-privacy {
    background-image: url("hero-image/privacy.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 550px;
  }

  .hero-tem {
    background-image: url("hero-image/term.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 550px;
  }


  .hero-4 {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.8) 0%, rgba(255, 255, 255, 0) 75%), url("hero-image/contact.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 670px;
    /* opacity: 0.9; */
  }


  .hero-6 {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.8) 0%, rgba(255, 255, 255, 0) 35%), url("hero-image/interior\ banner.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    height: 600px;
    /* opacity: 0.9; */
  }

  .hero-7 {
    background-image: url("WEB\ SITE\ \ page/renovation/banner.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 600px;
    /* opacity: 0.9; */
  }

  .hero-8 {
    background-image: url("WEB\ SITE\ \ page/waterproofing/banner.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 600px;
  }

  .hero-hire {
    background-image: url("WEB\ SITE\ \ page/all/hire/banner/banner.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 600px;
  }

  .niche-wali-city {
    gap: 149px;
  }
}



@media screen and (max-width: 900px) {
  .wrapper .carousel {
    grid-auto-columns: calc((100% / 2) - 1px);
  }
}

@media screen and (max-width: 600px) {
  .wrapper .carousel {
    grid-auto-columns: 100%;
    gap: 30px;
  }

  .wrapper {
    max-width: 300px;
    width: 100%;
    position: relative;
  }
}